@font-face {
    font-family: 'Benton Sans';
    src: url('../fonts/BentonSansBBVA/BentonSansBBVA-Medium.woff2') format('woff2'),
    url('../fonts/BentonSansBBVA/BentonSansBBVA-Medium.woff') format('woff');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'Benton Sans';
    src: url('../fonts/BentonSansBBVA/BentonSansBBVA-Book.woff2') format('woff2'),
    url('../fonts/BentonSansBBVA/BentonSansBBVA-Book.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto/Roboto-Regular.ttf') format('truetype'),
    url('../fonts/Roboto/Roboto-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto/Roboto-Medium.ttf') format('truetype'),
    url('../fonts/Roboto/Roboto-Medium.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}
.modal-payment-method-wrapper {
    display: none;
}
.modal-payment-method {
    position: fixed;
    top: 50%;
    right: 50%;
    transform: translate(50%,-50%);
    width: auto;
    background: white;
    padding: 20px;
    box-sizing: border-box;
    border: 1px solid #999;
    box-shadow: 0 0 10px #999;
    z-index: 11;
}
.modal-payment-method header {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}
.modal-payment-method h4 {
    flex: 1 1 auto;
    margin: 0;
}
.modal-payment-method a {
    margin-left: 30px;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
}
.modal-payment-method .buttons {
    margin-top: 15px;;
    text-align: right;
}
.modal-payment-method .step-2 {
    display: none;
}
.modal-payment-method-overlay {
    position: fixed;
    background: rgba(255, 255, 255, 0.6);
    backdrop-filter: blur(4px);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
}

#payment-method-label-bbva img {
    padding-right: 10px;
}

.calculator-wrapper-checkout {
    font-family: 'Benton Sans', sans-serif;
    font-weight: normal;
}
.calculator-info {
    display: flex;
    flex-direction: column;
}
.calculator-info .subtitle {
    font-size: 15px;
}
.calculator-info .subtitle #desktop-logo {
    display: none;
}
#mobile-logo {
    display: block;
}
.calculator_wrapper {
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    color: #333333;
    letter-spacing: 0;
    line-height: 24px;
    border: 1px solid #CCC;
    padding: 8px 16px;
    margin-bottom: 20px;
}
.calculator_wrapper a {
    color: #1973B8;
    font-size: 14px;
    font-weight: bold;
    line-height: 24px;
    text-decoration: none;
    cursor:pointer;
    padding-left: 3px;
}
.calculator_wrapper .calculator-info .medium,
.modall .modall-content .medium,
.calculator-wrapper-checkout .calculator-info .medium {
    font-weight: bold;
}
.calculator_wrapper .calculator-info.simple, .calculator_wrapper .calculator-info.simple .options {
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    justify-content: space-between;
}

.calculator_wrapper .calculator-info.simple .options {
    margin-left: 8px;
}
.calculator_wrapper .calculator-info .calculator-logo img {
    width: 53px;
}
.calculator_wrapper.simple .calculator-info .calculator-logo img {
    width: 39px;
}
.calculator_wrapper .calculator-info .calculator-logo img {
    width: 53px;
}
.calculator_wrapper .calculator-info .main-quota {
    display: flex;
    justify-content: space-between;
}
.calculator_wrapper .calculator-info .main-fee {
    font-size: 10px;
    line-height: 16px;
}
.calculator_wrapper .calculator-info .group-fee {
    font-size: 12px;
    line-height: 16px;
    padding: 6px 0;
}
.calculator_wrapper .calculator-info .group-fee div {
    padding: 1.5px 0;
}
.calculator_wrapper .calculator-info .legal-text {
    font-family: "Benton Sans";
    color: #666666;
    font-size: 10px;
    font-weight: 300;
    line-height: 16px;
    padding-bottom: 7px;
}
.calculator_wrapper .calculator-info .more-options {
    display: flex;
    justify-content: space-between;
}
.calculator-wrapper-checkout #calculator-loader {
    border: 1px solid #333333;
    padding: 10px;
    margin-bottom: 20px;
}
.calculator_resume {
    background: #F4F4F4;
    font-size: 15px;
    color: #121212;
    line-height: 24px;
    padding: 16px;
    margin: 16px 0 24px !important;
}
.calculator_resume .calculator_title {
    text-transform: uppercase;
    margin-bottom: 16px;
    font-size: 14px;
    font-weight: bold;
}
.calculator_resume .calculator_detail, .calculator_resume .calculator_detail_total {
    display: block;
    justify-content: space-between;
    margin-bottom: 8px;
}
.calculator_resume .tin-tae {
    flex: 1;
    justify-content: space-between;
}
.calculator_resume .calculator_detail #desktop_tin_tae {
    display: none;
}
.calculator_resume .calculator_detail #mobile_tin_tae {
    display: flex;
    flex-direction: column;
}
.calculator_resume .calculator_detail #mobile_tin_tae .marginbottom {
    margin-bottom: 8px;
}
.calculator_resume .calculator_detail_total {
    position: relative;
}
.calculator_resume .calculator_detail_total_financed {
    margin-bottom: 16px;
}

@media (min-width: 576px) {
    .calculator_resume .calculator_detail {
        display: flex;
    }
    .calculator_resume .calculator_detail_total {
        display: flex;
        justify-content: space-between;
    }
    .calculator_resume .calculator_detail_total_financed {
        display: flex;
        justify-content: space-between;
    }
    .calculator_resume .calculator_detail #desktop_tin_tae {
        display: flex;
    }
    .calculator_resume .calculator_detail #mobile_tin_tae {
        display: none;
    }
}
.calculator_resume .calculator_detail_total img {
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
    padding-left: 9px;
}
.calculator_resume .calculator_detail_subtitle {
    font-size: 12px;
    margin-left: 10px;
    color: #717171;
}
.calculator_resume .calculator_subtitle {
    color: #717171;
    font-size: 12px;
}
.calculator_resume .calculator_detail_total .tooltipp {
    position: absolute;
    top: 31px;
    left: -14px;
    width: calc(103%);
    background: #FFFFFF;
    padding: 8px;
    font-size: 12px;
    color: #121212;
    letter-spacing: 0;
    line-height: 16px;
    font-weight: normal;
    box-shadow: 0 1px 3px 0 rgba(0,0,0,0.20);
    display: none;
}
.calculator_resume .calculator_detail_total .tooltipp.tooltipp_checkout {
    width: calc(70%);
}
.calculator_resume .calculator_detail_total .tooltipp:before {
    content: '';
    display: block;
    width: 0;
    height: 0;
    border: 5px solid transparent;
    border-bottom-color: #ffffff;
    position: absolute;
    top: -10px;
    left: 138px;
}
.calculator_resume .calculator_detail_total .tooltipp.tooltipp_checkout:before {
    left: 193px;
}
.modall .calculator_resume .calculator_detail_total .tooltipp:before {
    left: 193px;
}
#payment_method_label_bbva .payment-icon {
    float: right;
    vertical-align: text-top;
}
.gdpr-consent {
    font-family: "Benton Sans";
    font-size: 15px;
    line-height: 24px;
}
.gdpr-consent label {
    display: flex;
}
.gdpr-consent div {
    margin-bottom: 10px
}
.gdpr-consent span {
    color: #666666;
    padding-left: 5px;
}

/* Fake select */
.calculator-fake-select {
    position: relative;
    background: #f4f4f4;
    height: 47px;
    line-height: 47px;
    border-bottom: 1px solid #717171;
    padding-bottom: 0;
    font-size: 15px;
    margin-bottom: 0px !important;
}
.calculator-fake-select div {
    margin-bottom: 0;
    color: #121212;
}
.calculator-fake-select .display {
    padding: 0 48px 0 16px;
    justify-content: space-between;
    display: flex;
    width: 100%;
    margin-bottom: 0;
    cursor: pointer;
    box-sizing: border-box;
}
.calculator-fake-select .display:after {
    content: url(../img/select_arrow.png);
    position: absolute;
    right: 22px;
    top: 0;
}
.calculator-fake-select .display.open:after {
    transform: rotate(180deg);
}
.calculator-fake-select .display div:last-child{
    color: #666666;
}
.calculator-fake-select .fake-options {
    position: absolute;
    top: calc(100% + 1px);
    width: 100%;
    background-color: #F4F4F4;
    box-shadow: 0 1px 3px 0 rgba(18,18,18,0.20);
    z-index: 900;
}
.calculator-fake-select .fake-options .option {
    border-bottom: 1px solid #D3D3D3;
    padding: 0 48px 0 16px;
    justify-content: space-between;
    display: flex;
    width: 100%;
    box-sizing: border-box;
    cursor: pointer;
}
.calculator-fake-select .fake-options .option:hover {
    background-color: #E9E9E9;
}
.calculator-fake-select .fake-options .option div:last-child {
    color: #666666;
}

@media (max-width: 576px) {
    .calculator_wrapper .calculator-info.simple {
        flex-direction: column;
    }
    .calculator_wrapper .calculator-info.simple .options {
        margin-left: 3px;
    }
    .calculator-fake-select {
        font-size: 15px;
    }
    .calculator-fake-select .display,
    .calculator-fake-select .fake-options .option {
        padding-right: 44px;
    }
}

/* calculadora en modal */
.logos {
    padding-bottom: 0;
    margin-bottom: 24px !important;
}
.logos img {
    display: inline-block;
    vertical-align: middle;
    margin-right: 4px;
}
/* modall */
.modall-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: #000;
    opacity: 0.5;
    width: 100vw;
    height: 100vh;
    display: none !important;
}
.modall-backdrop.on {
    display: block !important;
}
.modall {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    outline: 0;
    display: none !important;
    opacity: 1;
    transition: all 0.3s linear;
    pointer-events: none;
}
.modall.on {
    display: block !important;
}
.modall-body {
    font-family: 'Benton Sans', sans-serif;
    font-weight: normal;
}
.modall .gradient {
    position: absolute;
    bottom: 0;
    left: 0;
    width: calc(100% - 16px);
    height: 56px;
    padding-bottom: 0;
    background: -moz-linear-gradient(top,  rgba(255,255,255,0) 0%, rgba(255,255,255,1) 50%, rgba(255,255,255,1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 50%,rgba(255,255,255,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 50%,rgba(255,255,255,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 ); /* IE6-9 */
    margin-bottom: 0;
    z-index: 1;
}
.modall .gradient.up {
    top: -21px;
    transform: rotate(180deg);
}
.modall .close {
    top: 16px;
    right: 15px;
    position: absolute;
    font-size: 35px;
    text-decoration: none;
    opacity: 1;
    z-index: 10;
    padding: 0;
    line-height: 7px;
    background-color: transparent;
}
@media (min-width: 576px) {
    .modall .close {
        right: 31px;
    }
}
.modall-header {
    margin: 0 !important;
}
.modall-dialog {
    position: fixed;
    overflow: hidden;
    width: 100vw;
    height: 100vh;
    pointer-events: all;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.modall-dialog h4 {
    font-size: 20px;
    color: #121212;
    line-height: 24px;
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 24px;
}
.modall-dialog h4.modal-title {
    padding-right: 24px;
}

.modall-dialog .subtitle {
    margin-bottom: 16px;
}
.modall-dialog h3 {
    font-size: 14px;
    color: #717171;
    letter-spacing: 0;
    line-height: 24px;
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 8px;
}
.modall-dialog p a {
    color: #1973b8;
    text-decoration: none;
    font-weight: bold;
    font-size: 14px;
}
.modall-dialog p {
    font-size: 15px;
    color: #414141;
    letter-spacing: 0;
    line-height: 24px;
    margin-bottom: 8px;
}
.modall-dialog p.answer {
    margin-bottom: 24px;
}
.modall-dialog p.answer2 {
    margin-bottom: 16px;
}
.modall-content {
    padding: 16px;
    overflow: auto;
    background-color: #fff;
    box-sizing: border-box;
    max-height: 100vh;
}
@media (min-width: 576px) {
    .modall-dialog {
        max-width: 568px;
        height: auto;
        max-height: 624px;
        margin: 30px auto 0;
    }
    .modall-dialog .modall-content {
        max-height: 624px;
        padding: 56px;
    }
}
@media (min-width: 992px) {
    #desktop-logo {
        display: block;
    }
    #mobile-logo {
        display: none;
    }
    .modall-dialog {
        max-width: 568px;
        height: auto;
        max-height: 624px;
    }
    .modall-dialog .modall-content {
        max-height: 624px;
        padding: 56px;
    }
}
.calculator_resume_faqs h4 {
    font-size: 20px;
    color: #121212;
    line-height: 24px;
    margin-bottom: 16px;
    margin-top: 0;
    font-weight: bold;
}
.calculator_resume_faqs h6 {
    margin-top: 0;
    text-transform: none;
    font-size: 14px;
    color: #666666;
    letter-spacing: 0;
    line-height: 24px;
    margin-bottom: 16px;
    font-weight: bold;
}
.calculator_resume_faqs h6.h6modal {
    margin-bottom: 8px;
}
.calculator_resume_faqs p {
    font-size: 15px;
    color: #414141;
    letter-spacing: 0;
    line-height: 24px;
}
.calculator_resume_faqs img {
    display: block;
    margin-bottom: 8px;
}
.gdpr-title {
    font-size: 15px;
    color: #121212;
    letter-spacing: 0;
    line-height: 24px;
}
.gdpr-block {
    font-size: 15px;
    color: #666666;
    letter-spacing: 0;
    line-height: 24px;
}
.gdpr-text {
    font-size: 15px;
    color: #717171;
    letter-spacing: 0;
    line-height: 24px;
}
.gdpr-text a {
    color: #1973b8;
    text-decoration: none;
}
.modall-list {
    font-size: 15px;
    color: #414141;
    letter-spacing: 0;
    line-height: 24px;
    margin: 16px 0 !important;
    padding: 0;
    list-style-type: none;
    font-weight: normal;
}
.modall-list li {
    padding: 0;
    margin: 0 0 16px 34px;
    position: relative;
}
.modall-list li:before {
    content: url(../img/bullet.png);
    position: absolute;
    top: 0;
    left: -28px;

}
.gdpr-block {
    position: relative;
    padding-left: 32px;
}
.custom-checkbox-bbva input {
    display: none !important;
}
.custom-checkbox-bbva span {
    display: block;
    width: 24px;
    height: 24px;
    border: 1px solid #666666;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #f4f4f4;
}
.custom-checkbox-bbva input[type="checkbox"]:checked + span {
    background: #f4f4f4 url(../img/check.png) center center no-repeat;
}

/**
Warning Block in Patment Top
 */
.display_payment_top_block {
    background-color: #fff5d1;
    margin-bottom: 20px;
    padding: 10px;
    border: 1px solid #ffe04a;
    font-size: 12px;
    color: #ab870a;
    display: flex;
    flex-direction: row;
}
.payment-options label {
    display: flex !important;
    align-items: baseline;
    margin-bottom: 0px;
    justify-content: space-between;
}
.payment-options .payment-option label img {
    vertical-align: baseline;
    margin-left: 4px;
}

@media (max-width: 425px) {
    body#checkout section.checkout-step .payment-options .payment-option {
        display: flex;
    }
    .payment-options label span {
        text-align: left;
    }
}
/**
BBVA finance available checkout notification
 */

.bbva-finance .payment-icon {
    width: 53px;
}
.bbva-order-detail-pay {
    display: flex;
    flex-flow: row;
    align-items: baseline;
    border: 1px solid #ffc8d7;
    padding: 20px;
    background: #fff2f5;
    margin-bottom: 20px;
}
.bbva-order-detail-pay-detail {
    display: flex;
    width: 100%;
    flex-flow: row;
    justify-content: space-between;
    margin-left: 20px;

}
.bbva-order-detail-pay-detail-pay {
    width: 150px;
    text-align: center;
}
.bbva-order-history-notice .bbva-order-detail-pay-detail {
    flex-flow: column;
}
.bbva-order-detail-pay .bbva-order-detail-pay-logo {
    min-width: 53px;
}
.bbva-order-history-notice .bbva-order-detail-pay-detail-title,
.bbva-order-history-notice ul li a{
    font-weight: bold;
}
.bbva-order-detail-pay .bbva-order-detail-pay-deactivated {
    display:flex;
    flex-flow: column;
    margin-left: 20px;
}
.bbva-order-detail-pay .bbva-order-detail-pay-deactivated a {
    text-decoration: underline;
}
.bbva-order-detail-pay .bbva-order-detail-pay-deactivated div {
    margin-bottom: 10px;
}
.bbva-order-detail-pay .bbva-order-detail-pay-deactivated .bbva-order-detail-pay-deactivated-orders {
    margin-bottom: 0;
}
.bbva-order-detail-pay .bbva-order-detail-pay-deactivated .bbva-order-detail-pay-deactivated-orders ul {
    list-style: initial;
    margin-bottom: 0;
}
.bbva-order-detail-pay .bbva-order-detail-pay-deactivated .bbva-order-detail-pay-deactivated-orders ul li {
    margin-bottom: 0.25rem;
}
.bbva-order-history-notice .bbva-order-detail-pay-detail-title {
    font-size: 16px;
}
.bbva-order-detail-pay .bbva-order-detail-pay-deactivated .bbva-order-detail-pay-deactivated-title span {
    font-weight: bold;
}
.bbva-order-detail-pay .bbva-order-detail-pay-close {
    min-width: 65px;
    text-align: right;
}


.message-warning:before {
    font-family: "Luma-Icons";
    color: #eb5202;
    content: '\e602';
    font-size: 1.9rem;
    font-style: normal;
    font-weight: 400;
    margin-right: 1rem;
}

#bbva_test_env_warning {
    justify-content: center;
}

#bbva_test_env_warning_msg > ul {
    padding-left: 2rem;
}

div.bbva_test_env_warning_wrapper {
    color: #004283;
    border: 1px solid #004283;
    border-radius: 5px;
    background-color: #d3e5f5;
    padding: 10px;
    margin: 10px 0;
}

#bbva_test_env_warning_header {
    color: #004283;
    background-color: #d3e5f5;
    display: flex;
    align-items: center;
}

.min-width-auto {
    min-width: auto !important;
}

.calculator-payment-detail-auto {
    overflow: auto;
    height: auto !important;
}

.calculator-wrapper-table {
    overflow: auto;
    display: table;
    background: white;
}

.calculator-financing-cart {
    height: auto !important;
    display: grid !important;
}

.quote-price-cart {
    white-space: nowrap;
    font-size: 14px;
}

.message-warning-cart {
    padding-left: 0px !important;
}

.blur-cart {
    filter: blur(4px);
    pointer-events: none;
    transition: filter 0.3s ease;
}

.calculator_wrapper_simple_modal {
    transition: none !important;
    transform: none !important;
    animation: none !important;
}

@media (max-width: 425px) {
    .bbva-order-detail-pay {
        display: block;
    }
    .bbva-order-detail-pay-logo {
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .bbva-order-detail-pay-detail {
        margin: 0px;
        margin-top: 20px;
        display: block;
        text-align: justify;
    }
    .bbva-order-detail-pay-detail-pay {
        display: block;
        width: 100%;
        text-align: center;
        margin-top: 10px;
    }
}

